/* Test de l'egalite du contenu                */
/* de deux tableaux de double                  */

public class TestEgaliteTableauxReelEnConsole {

/////////////////////////////////////////////////

/* Fonction de test de l'egalite du contenu    */
/* de deux tableaux de double                  */

  static boolean testEgalite(double [] t1,double [] t2) {
    boolean egalite = true;
    int i;
    if ( t1.length != t2.length ) {
      egalite = false; }
      else {
      i = 0;
      while ( egalite && ( i < t1.length ) ) {
        egalite = ( t1[i] == t2[i] );
        i = i+1; } }
    return egalite;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("TestEgaliteTableauxReel");
    double [] t1 = { 1.0,2.0,3.0 };
    double [] t2 = { 1.0,2.0,3.0 };
    double [] t3 = { 1.0,2.0,3.0,0.0 };
    double [] t4 = { 1.0,2.0 };
    double [] t5 = { 1.0,2.0,1.0 };
    Console.afficherln(testEgalite(t1,t2));
    Console.afficherln(testEgalite(t1,t3));
    Console.afficherln(testEgalite(t1,t4));
    Console.afficherln(testEgalite(t1,t5));
  }
}